> ## Documentation Index
> Fetch the complete documentation index at: https://docs.darkmatter.rdytobash.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create wallet transaction



## OpenAPI

````yaml /reference/openapi.yaml post /api/wallet/transaction
openapi: 3.0.0
info:
  title: Dark Matter Protocol API
  description: >
    Dark Matter Protocol API — game state, wallet operations, and monetization
    endpoints.


    All game APIs are serverless functions under `/api/*` on the app origin.
    Auth for

    money-touching calls is the stateless wallet signature described in the
    Crash Money Model.
  version: 1.0.0
  contact:
    name: Dark Matter Protocol
    url: https://darkmatter.rdytobash.tech
servers:
  - url: https://darkmatter.rdytobash.tech
    description: Production
security: []
tags:
  - name: crash
    description: Crash game endpoints
  - name: entropy
    description: Entropy dice games (Mines, Limbo, Plinko, Keno)
  - name: lootbox
    description: Lootbox endpoints
  - name: wallet
    description: Wallet bridge for vfair platform
  - name: ad-rental
    description: Ad slot rental endpoints
paths:
  /api/wallet/transaction:
    post:
      tags:
        - wallet
      summary: Create wallet transaction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                playerId:
                  type: string
                currency:
                  type: string
                amount:
                  type: number
                partnerTransactionId:
                  type: string
      responses:
        '200':
          description: Transaction result
          content:
            application/json:
              schema:
                type: object
                properties:
                  partnerTransactionId:
                    type: string
                  balance:
                    type: number
                  balanceBefore:
                    type: number

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.